python教程—如何为python pip指定安装顺序?-Python实用宝典

python教程—如何为python pip指定安装顺序?

我正在使用fabric(0.9.4)+pip(0.8.2),我需要为多个服务器安装一些python模块。所有服务器都有旧版本的setuptools (0.6c8),需要为pymongo模块升级。Pymongo需要setuptools > = 0.6制备过程。

我正在使用fabric(0.9.4)+pip(0.8.2),我需要为多个服务器安装一些python模块。所有服务器都有旧版本的setuptools (0.6c8),需要为pymongo模块升级。Pymongo需要setuptools > = 0.6制备过程。

我的问题是pip开始使用pymongo而不是setuptools进行安装,这会导致pip停止。在需求文件中打乱模块顺序似乎没有帮助。

让:

    setuptools>=0.6c9 pymongo==1.9 simplejson==2.1.3

是否有一种方法可以指定pip的安装顺序,因为它似乎不能自己正确地完成安装?

这可以通过两个单独的需求文件来解决,但是如果我现在或者将来不需要维护多个需求文件,那就更好了。

pip 0.8.3仍然存在问题。

回答

这是一个愚蠢的黑客,但可能只是工作。编写一个bash脚本,从您的需求文件中逐行读取,并在上面运行pip命令。

#!/bin/bash
for line in $(cat requirements.txt)
do
  pip install $line -E /path/to/virtualenv
done

​Python实用宝典 (pythondict.com)
不只是一个宝典
欢迎关注公众号:Python实用宝典

本文由 Python实用宝典 作者:Python实用宝典 发表,其版权均为 Python实用宝典 所有,文章内容系作者个人观点,不代表 Python实用宝典 对观点赞同或支持。如需转载,请注明文章来源。
1

发表评论